Subject: Re: [PATCH 02/33] sfc: Change SPI lengths to type size_t

From: Ben Hutchings <[email-masked]>
Date: Sat, 13 Dec 2008 06:30:11 +0000

David Miller wrote:
> From: Ben Hutchings <[email-masked]>
> Date: Fri, 12 Dec 2008 12:48:51 +0000
> 
> > Based on a patch by Andrew Morton.
> > 
> > Signed-off-by: Ben Hutchings <[email-masked]>
> 
> Sigh, this isn't what you actually build tested, that's
> for sure:

Of course it is.  But it looks like I forgot to test the final version
of this patch on a 64-bit architecture.  On i386 size_t = unsigned.

> drivers/net/sfc/falcon.c:1664: error: conflicting types for 'falcon_spi_cmd'
> drivers/net/sfc/spi.h:71: error: previous declaration of 'falcon_spi_cmd' was here
> 
> I'll fix it up this time, but never will I do this again.
 
Thanks.

Ben.

> Test what you send me.

-- 
Ben Hutchings, Senior Software Engineer, Solarflare Communications
Not speaking for my employer; that's the marketing department's job.
They asked us to note that Solarflare product names are trademarked.